## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/v1

populations

/query

### Query Populations

#### cURL

```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/populations/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/populations/query"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/populations/query', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response
200 - application/json

```json
{
  "pageNumber": 123,
  "totalPages": 123,
  "content": [
    {
      "id": "<string>",
      "version": 123,
      "creationDate": "2023-11-07T05:31:56Z",
      "lastModifiedDate": "2023-11-07T05:31:56Z",
      "createdUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "lastModifiedUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "analysisTypeId": "<string>",
      "libraryId": "<string>",
      "engagementId": "<string>",
      "derivedFromLibrary": true,
      "disabledForAnalysisIds": [
        "<string>"
      ],
      "promotedFromAnalysisId": "<string>",
      "analysisId": "<string>",
      "derivedFromEngagement": true,
      "basePopulationId": "<string>",
      "name": "<string>",
      "category": "<string>",
      "description": "<string>",
      "clonedFrom": "<string>",
      "reasonForChange": "<string>",
      "disabled": true,
      "condition": {
        "type": "GROUP",
        "conditions": [
          {}
        ]
      },
      "legacyFilterFormat": true,
      "displayCurrencyCode": "<string>",
      "displayLocale": "<string>"
    }
  ],
  "numberOfElements": 123,
  "totalElements": 123,
  "pageable": {
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  },
  "pageSize": 123,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "first": true,
  "last": true,
  "size": 123,
  "number": 123
}
```

### Authorizations

#### Authorization
- `Authorization`
  - **Type**: string
  - **Location**: header
  - **Required**: Yes
  - **Description**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Query Parameters
- **page**: integer (default: 0) - Zero-based page index (0..N). Required range: `x >= 0`
- **size**: integer (default: 20) - The size of the page to be returned. Required range: `x >= 1`
- **sort**: string[] - Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

### Body
`application/json`
- **Option 1** 
- **Option 2** 
- **Option 3** 
- **Option 4** 
- **Option 5** 
- **Option 6** 
- **Option 7** 
- **Option 8** 
- **Option 9** 
- **Option 10** 
- **Option 11** 
- **Option 12** 
- **Option 13** 
- **Option 14** 
- **Option 15** 
- **Option 16** 
- **Option 17** 
- **Option 18** 
- **Option 19** 
- **Option 20**

### operator
- enum<string> (required)
  - Available options: `$eq`, `$ne`, `$gt`, `$gte`, `$lt`, `$lte`, `$contains`, `$ncontains`, `$in`, `$nin`, `$flags`, `$keyword_prefix`, `$keyword_prefix_not`, `$isubstr`, `$iprefix`, `$niprefix`, `$between`, `$nbetween`, `$and`, `$or`, `$population`, `$not_population`, `null`

### Response
200 - application/json

- **pageNumber**: integer<int32>
- **totalPages**: integer<int32>
- **content**: Population · object[]
- **numberOfElements**: integer<int32>
- **totalElements**: integer<int64>
- **pageable**: object
- **pageSize**: integer<int32>
- **sort**: object
- **first**: boolean
- **last**: boolean
- **size**: integer<int32>
- **number**: integer<int32>
